Campaigns
List campaigns
GET
Requires the campaign:read scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
query?stringstatus?stringlimit?integerRange
1 <= value <= 500Default
50offset?integerRange
0 <= valueDefault
0page?integerRange
1 <= valuesortBy?stringsortOrder?stringValue in
"ASC""DESC"A page of results.
application/json- response
data*array<>total*integerMatches across all pages.
limit*integeroffset*integerThe offset actually applied, also when you paginated with page.
curl -X GET 'https://api.mailcrate.io/public/campaign' \ -H 'Authorization: Api-Key <api_key>'Example Response
{ "data": [ { "id": "string", "workspaceId": "string", "name": "string", "emailTemplateId": "string", "segmentId": "string", "senderId": "string", "schedulingJobId": "string", "status": "cancelled", "scheduledAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "totalRecipients": 0, "sentCount": 0, "deliveredCount": 0, "bouncedCount": 0, "openedCount": 0, "clickedCount": 0, "complainedCount": 0, "unconfirmedCount": 0, "frequencyCapSkippedCount": 0, "processingError": "string", "created": "2019-08-24T14:15:22Z", "updated": "2019-08-24T14:15:22Z", "createdByUserId": "string", "sentByUserId": "string", "externalAudienceId": "string", "audienceFilter": {}, "subscriptionGroupId": "string", "emailTemplate": { "id": "string", "name": "string", "subject": "string" }, "segment": { "id": "string", "name": "string" }, "sender": { "id": "string", "name": "string", "email": "string" }, "externalAudience": { "id": "string", "name": "string" }, "abTest": { "enabled": true, "metric": "clicks", "goalEventName": "string", "cohortPercentage": 0, "winnerStrategy": "automatic", "durationHours": 0, "winnerVariantId": "string", "phase": "awaiting_winner", "startedAt": "2019-08-24T14:15:22Z", "concludedAt": "2019-08-24T14:15:22Z" }, "variants": [ { "id": "string", "label": "string", "emailTemplateId": "string", "senderId": "string", "subjectOverride": "string", "weight": 0, "isWinner": true } ], "holdout": { "enabled": true, "percentage": 0, "goalEventName": "string" }, "pacing": {}, "sendWindow": {}, "localTime": {}, "followUpOfCampaignId": "string", "followUpOf": { "id": "string", "name": "string", "status": "cancelled" }, "followUps": [ { "id": "string", "name": "string", "status": "cancelled" } ] } ], "total": 0, "limit": 0, "offset": 0}